class BaseOqsController < ActionController::Base
  include LoginVerification
  layout "OQS"

  #before_action :check_installation
  protect_from_forgery with: :exception

  rescue_from CanCan::AccessDenied do |exception|
  	flash[:warning] = exception.message
  	redirect_to root_path
  end

  #change locallization
  def set_locale
    I18n.locale = params[:locale] || I18n.default_locale
  end

  # RESTful url for localize
  def default_url_options
    { locale: I18n.locale }
  end
  
  def current_user
  	@current_user ||= Employee.find_by_token_session(session[:session_token]) if session[:session_token]
  end

end
